##### 7.5.5.0. deleteGenerator

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  deleteGenerator(id,k); id an ideal/module, k an int

Return:
  of the same type as id

Purpose:
  deletes the k-th generator from the first argument and returns
  the altered object

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,z),dp;
    ideal I = x^2,y^3,z^4;
    deleteGenerator(I,2);
    ==> _[1]=x2
    ==> _[2]=z4
    module M = [x,y,z],[x2,y2,z2],[x3,y3,z3];
    print(deleteGenerator(M,2));
    ==> x,x3,
    ==> y,y3,
    ==> z,z3
    M = M[1];
    deleteGenerator(M,1);
    ==> _[1]=0

See also: insertGenerator.

User manual for Singular version 4.4.1, 2025, generated by texi2html.